Name:           mate-icon-theme
Version:        1.5.0
Release:        1%{?dist}
Summary:        Icon theme for MATE Desktop
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mate-common 
BuildRequires:  icon-naming-utils

Provides: mate-icon-theme = %{version}-%{release}
Obsoletes: mate-icon-theme-legacy < %{version}-%{release}

Provides: mate-icon-theme = %{version}-%{release}
Obsoletes: mate-icon-theme-legacy < %{version}-%{release}

%description
Icon theme for MATE Desktop

%package devel
Summary: Development files for mate-icon-theme

%description devel
Development files for mate-icon-theme

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure  --enable-icon-mapping \
            --disable-static
make %{?_smp_mflags} V=1


%install
make install DESTDIR=%{buildroot}

%post
/bin/touch --no-create %{_datadir}/icons/mate &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/mate &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &>/dev/null || :

%files
%doc AUTHORS COPYING README
%{_datadir}/icons/mate/

%files devel
%{_datadir}/pkgconfig/mate-icon-theme.pc


%changelog
* Tue Oct 30 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- update to 1.5.0 release

* Mon Aug 13 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- add obsolete mate-icon-theme-legacy
- bump version to 1.4.0-6 for updating external repo

* Sun Aug 12 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Make the scriptlets reference mate instead of hicolor

* Sun Aug 12 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Add macros for icon cache, move autogen to prep section

* Fri Aug 10 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial release
